--
-- fastForward
-- 
-- 
--
-- upsideDown 12.07.2013
-- V1.1 conversion to LS15: 1.11.2014

fastForward = {};
addModEventListener(fastForward);
function fastForward.prerequisitesPresent(specializations)
    return true;
end;

function fastForward:loadMap(name)
	
	fastForward.Active = false;
end;

function fastForward:deleteMap()
end


function fastForward:mouseEvent(posX, posY, isDown, isUp, button)
end;

function fastForward:keyEvent(unicode, sym, modifier, isDown)
end;


function fastForward:update(dt)
	if g_currentMission:getIsClient() then
		if g_gui.currentGui == nil then
			if g_currentMission:getIsServer() or g_currentMission.isMasterUser then
				if g_currentMission.controlledVehicle == nil then
					g_currentMission:addHelpButtonText(g_i18n:getText("fastForward"), InputBinding.fastForward);
					--if Input.isKeyPressed(Input.KEY_r) and Input.isKeyPressed(Input.KEY_lctrl) then
					if InputBinding.isPressed(InputBinding.fastForward) then
						if not fastForward.Active then
							local timeScaleIndex = Utils.getTimeScaleIndex(g_currentMission.missionStats.timeScale)
							fastForward.oldTimeScale = Utils.getTimeScaleFromIndex(timeScaleIndex)
							fastForward.Active = true;
							g_currentMission:setTimeScale(12000)
						end
					else
						if fastForward.Active then
							fastForward.Active = false;
							g_currentMission:setTimeScale(fastForward.oldTimeScale)
						end
					end;	
				end;	
			end;
		end;
	end
end


function fastForward:draw()
   
   
end;
